<?php
 
session_start();
$com = "A";
include("DMMYSQLG.php");
include("DSA3000.php");
include("DMMYSQLG.php");
include("DF30000.inc");

require_once("DF80000.php");
require_once("DFMOVCAP.inc");
require_once("DFJQUERY.inc");
require_once("DFSELMAN.inc");
?>
<html>
<head>
<title>Orden de compra</title>
<link rel="stylesheet" href="css/estilo1.css" type="text/css"/>
<script type="text/javascript" language="JavaScript1.2" src="DSSCRIPT.js"></script>
<script language="javascript">
$(document).ready(function(){
	function formatItem(row) {
		return " (<strong>" + row[1] + "</strong>)"+row[0];
	}
	var pagRes='DYCLIBASCPS.php';
	var idObjDes='nom_cli';
	var idObjCve='id_cli';
	var nomObjRad='tip_bus_cli';
	$("#"+idObjDes).autocomplete(pagRes,{
		minChars: 1,                 //Caracteres Minimos antes de autocompletar
		max:20,                        //maximo de resultados mostrados, se manda como limit en autosugestion
		delay: 200,                  //Retardo de autocompletar 
		width: 500,                  //ancho del cuadro de despliegue
		highlight: false,            //Resalta letras coincidentes
		autoFill: false,             //autocompleta en texto la posible palabra
		scroll: true,				 //si cuadro tiene barra scroll
		scrollHeight: 100,           //alto del cuadro para el scroll
		formatItem:formatItem,	     //formato de presentacion de las posibles busquedas
		extraParams:{typeRequest:'ac',tipBusCat:'nom'}     //Parametros Extra a Mandar en autosugestion
	});
	$("#"+idObjCve).autocomplete(pagRes,{
		minChars: 1,                 //Caracteres Minimos antes de autocompletar
		max:20,                        //maximo de resultados mostrados, se manda como limit en autosugestion
		delay: 200,                  //Retardo de autocompletar 
		width: 500,                  //ancho del cuadro de despliegue
		highlight: false,            //Resalta letras coincidentes
		autoFill: false,             //autocompleta en texto la posible palabra
		scroll: true,				 //si cuadro tiene barra scroll
		scrollHeight: 100,           //alto del cuadro para el scroll
		formatItem:formatItem,       //formato de presentacion de las posibles busquedas
		formatResult:function(row){  //formato de seleccion de busqueda
			return row[1];
		},	                        
		extraParams:{typeRequest:'ac',tipBusCat:'id'}     //Parametros Extra a Mandar en autosugestion
	});
	$("#"+idObjCve).result(function(event, data, formatted){
		$("#"+idObjDes).val(data[0]);
		$("#"+idObjDes).focus();
	});	
	$("#"+idObjDes).result(function(event, data, formatted){
		$("#"+idObjCve).val(data[1]);
	});	
	$("input[@name="+nomObjRad+"]").click(function(){
		$("#"+idObjDes).setOptions({
			extraParams:{
				typeRequest:'ac',
				tipBusCat:getValRadChe(nomObjRad)
			}
		});
	});
	$("#tip_fac").change(getDataTipFac);
	getDataTipFac();
});

function getDataTipFac(){
		var objSelTipFac=new SelectManager('tip_fac');
		$.post(
			'DV36000_AG-SRV.php',
			{ getTipFac:'1',tipFac:objSelTipFac.getSelectedValue()}
			,function(datos){	
				var data=eval(datos);
				$("#num_fac").val(parseInt(data[0].numFac)+1);
			}
		);
	}
</script>
</head>
<body >
<?php
 
$ayuda = 'DH2200A_AG.php';
include("DYAYUDA.php");
?>
<?php

if(!isset($_POST['fec_fac'])){
	$_REQUEST['fec_fac']=date("d/m/Y");
	$_REQUEST['iva_des']='1';
	$_REQUEST['tip_pro']='N';
}
?>
<form name="frm1" id="frm1" method="post" action="">

<table  align="center">
  <tr>
    <th colspan="3">Alta de Factura </th>
  </tr>
  <tr>
    <td nowrap>Tipo:
      <label>
      <select name="tip_fac" id="tip_fac"><?php

	  $sq_tipfac=mysqli_query($con ,"SELECT * FROM dgtipfac");
	  if(!isset($_REQUEST['tip_fac'])){
	  	$dt_tipfac=mysqli_fetch_array($sq_tipfac);
		$selTipFac=$dt_tipfac['tip_fac'];
		if(mysqli_num_rows($sq_tipfac)>0)
			mysqli_data_seek($sq_tipfac,0);
	  }else{
	  	$selTipFac=$_REQUEST['tip_fac'];
	  }
	  while($dt_tipfac=mysqli_fetch_array($sq_tipfac)){
	  	if($selTipFac==$dt_tipfac['tip_fac'])
	  		echo '<option value="'.$dt_tipfac['tip_fac'].'" selected>'.$dt_tipfac['des_tipfac'].'</option>';
		else
			echo '<option value="'.$dt_tipfac['tip_fac'].'">'.$dt_tipfac['des_tipfac'].'</option>';
	  }
	  ?>
	  </select>
      </label></td>
    <td nowrap>N&uacute;mero:
      <label>
      <input name="num_fac" type="text" id="num_fac" size="10" value="<?php
echo $_REQUEST['num_fac'];?>">
      </label></td>
    <td nowrap>Fecha:
      <label>
      <input name="fec_fac" type="text" class="emplea" id="fec_fac" size="10" value="<?php
echo $_REQUEST['fec_fac'];?>">
      <input name="img_fec_fac" id="bot2" value=" ... " type="image" src="logos/cal4.jpg"/>
	  <script type="text/javascript">
		Calendar.setup(
			{
				inputField  : "fec_fac",        // ID of the input field
				ifFormat    : "%d/%m/%Y",    // the date format
				button      : "img_fec_fac"      // ID of the button
			}
		);
	  </script>	  
      </label></td>
  </tr>
  <tr>
    <td colspan="3" nowrap>Cliente:
      
      <input name="id_cli" type="text" id="id_cli" size="5" readonly value="<?php
echo $_REQUEST['id_cli'];?>">
     
      
      <input name="nom_cli" type="text" id="nom_cli" size="50" value="<?php
echo $_REQUEST['nom_cli'];?>">
      <input name="tip_bus_cli" type="radio" value="id">
      Cve.
      <input name="tip_bus_cli" type="radio" value="nom" checked>
      Nom.    </td>
  </tr>
  <tr>
    <td nowrap>IVA Desglosado:      
      <label>
      <input name="iva_des" type="radio" value="1"<?php
if($_REQUEST['iva_des']=='1') echo 'checked';?>>
      Si
      </label>
      <label>
      <input name="iva_des" type="radio" value="0"<?php
if($_REQUEST['iva_des']=='0') echo 'checked';?>>
      No
      </label></td>
    <td nowrap><div align="left"><span id="spanCveIva">
      Tasa:
      <select name="cve_iva" id="cve_iva">
            <?php

	  	$sq_tasiva=mysqli_query($con ,"SELECT * FROM dxtasiva");
		if(!isset($_REQUEST['cve_iva'])){
			$dt_tasiva=mysqli_fetch_array($sq_tasiva);
			$selIVA=$dt_tasiva['cve_iva'];
			if(mysqli_num_rows($sq_tasiva)>0)
				mysqli_data_seek($sq_tasiva,0);
		}else{
			$selIVA=$_REQUEST['cve_iva'];
		}
		while($dt_tasiva=mysqli_fetch_array($sq_tasiva)){
			if($selIVA==$dt_tasiva['cve_iva'])
				echo "<option value=\"$dt_tasiva['cve_iva']\" selected>$dt_tasiva['conc_iva']</option>";
			else
				echo "<option value=\"$dt_tasiva['cve_iva']\">$dt_tasiva['conc_iva']</option>";	
		}	
	  ?>
            </select>
    </span></div></td>
    <td nowrap>Tip. Proc.:
      <input name="tip_pro" type="radio" value="N"<?php
if($_REQUEST['tip_pro']=='N') echo 'checked';?>>
     Normal
      <input name="tip_pro" type="radio" value="CFD"<?php
if($_REQUEST['tip_pro']=='CFD') echo 'checked';?>>
      C.F.D.</td>
  </tr>
  <tr>
    <td colspan="3" nowrap><div align="center">Subtotal:
      
      <input name="sub_fac" readonly type="text" id="sub_fac" size="10" value="<?php
echo number_format($_REQUEST['sub_fac'],2,'.',',');?>">
      I.V.A.:
      <input name="iva_fac" readonly type="text" id="iva_fac" size="10" value="<?php
echo number_format($_REQUEST['iva_fac'],2,'.',',');?>">
      Total:
      <input name="tot_fac" readonly type="text" id="tot_fac" size="10" value="<?php
echo number_format($_REQUEST['tot_fac'],2,'.',',');?>">      
    </div></td>
  </tr>
  <tr>
	<td colspan="3" nowrap>
	<div align="center">
		<input name="agregar" type="button" id="agregar" onClick="openpage('DV36000_AC.php','_self')" value="Agregar">
  		&nbsp;
		<input name="regresar" type="button" id="regresar" onClick="openpage('DV36000_PR.php','_self')" value="Regresar">
	</div>	</td>
  </tr>
</table>

</form>
</body>
</html>
